## org.exist.ant
Class ListUsersTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.UserTask
                      org.exist.ant.ListUsersTask

public class ListUsersTask
extends UserTask

an ant task to list users

Author:
  peter.klotz@blue-elephant-systems.com

Constructor Summary
`ListUsersTask()`

Method Summary
`void` `execute()`
`void` `setOutputproperty(java.lang.String outputproperty)`
`void` `setSeparator(java.lang.String separator)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListUsersTask

    public ListUsersTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `UserTask`
  Throws:
    `org.apache.tools.ant.BuildException`

### setOutputproperty

    public void setOutputproperty(java.lang.String outputproperty)

### setSeparator

    public void setSeparator(java.lang.String separator)

Copyright (C) Wolfgang Meier. All rights reserved.